      subroutine get_1st_ortid(id, file_name) 

C     Get the id for the first particle in a parameter file

      implicit none

      character*(*), intent(in) :: file_name
      integer, intent(out)      :: id

      character(len=100) ::  heading

      open (unit=3, file= file_name)

C     Read in and discard header lines
      read(3,'(A)') heading
      read(3,'(A)') heading

C     Read in id for first particle
      read(3, *) id
      if (id .le. 0) then
         print *, 'Particle number error in get_1st_ortid, setting to 1'
         id = 1
      endif

      close(unit=3)

      return
      end subroutine get_1st_ortid
