      subroutine usage(algorithm, precision)
      
      implicit none
      integer algorithm
      character(len=1) precision
      character arg*20
      integer   i
      
      i = 1
      call getarg( i, arg ) 
      if ( arg(1:5).eq.'-usag' .or.
     +     arg(1:5).eq.'-Usag' .or.
     +     arg(1:5).eq.'-HELP' .or.
     +     arg(1:5).eq.'-help' .or.
     +     arg(1:5).eq.'-Help' .or.
     +     arg(1:5).eq.'-USAG' ) then
         write(6,*) 'P3DR version 8.0, Nov. 11 2004'
         
         if(algorithm .eq. 1 .and. precision .eq. 'd') then
            write(6,*) '(large memory, small comm, double prec)'
         endif
         if(algorithm .eq. 1 .and. precision .eq. 's') then
            write(6,*) '(large memory, small comm, single prec)'
         endif
         if(algorithm .eq. 3 .and. precision .eq. 'd') then
            write(6,*) '(small memory, large comm, double prec)'
         endif
         if(algorithm .eq. 3 .and. precision .eq. 's') then
            write(6,*) '(small memory, large comm, single prec)'
         endif
         
         write(6,*) 'P3DR -usage:'
         write(6,*) 'mpirun -np n P3DR < stdin_ctrl_file > stdout_file'
         write(6,*) 'See http://cfl.cs.ucf.edu/combio.htm for detail'
         write(6,*) ''
         stop
      endif
      
      return
      end
